/*--------------------------------------------------------------------------------------
//
//	File:  		MainStuff.h
//
//	Contents:	Menu constants and global constants.
//
//
//	By Georgiann ("George") Delaney
//	1989 - 1990, Apple Computer, Inc.
//
//--------------------------------------------------------------------------------------*/


// Menu Constants

#define kMenuCount			4
#define kHeirCount			8

#define	kAppleMenuID		201		// Apple Menu Resource ID
#define	kAppleMenu			0		// Menu array index for Apple menu
#define	kAboutBox			1

#define	kFileMenuID			202		// File Menu Resource ID
#define	kFileMenu			1		// Menu array index for File menu
#define	kNew				1
#define	kOpen				2
#define	kClose				3
#define	kSave				4
#define	kSaveAs				5
#define	kPageSetUp			7
#define	kPrint				8
#define	kQuit				10

#define	kEditMenuID			203		// Edit Menu Resource ID
#define	kEditMenu			2		// Menu array index for Edit menu
#define	kUndo				1
#define	kCut				3
#define	kCopy				4
#define	kPaste				5
#define	kClear				6

#define	kOptionsMenuID		204		// Options Menu Resource ID
#define	kOptionsMenu		3		// Menu array index for Options menu
#define	kSrcAttributes		1		
#define	kMskAttributes		2
#define	kDstAttributes		3
#define	kTrapSelect			5
#define	kCopyModeSelect		6
#define	kClipRgnSelect		8
#define	kVisRgnSelect		9
#define	kMaskRgnSelect		10
#define	kFGColor			12
#define	kBKColor			13
#define	kOpColor			14
#define	kHiliteColor		15
#define	kUseScreenBits		17
#define	kDither				18

#define	khCopyModeMenuID	104		
#define	khCopyModeMenu		4		

#define	khClipRgnMenuID		105		
#define	khClipRgnMenu		5		

#define	khVisRgnMenuID		106		
#define	khVisRgnMenu		6		

#define	khMaskRgnMenuID		107		
#define	khMaskRgnMenu		7		

#define	khFGColorMenuID		108		
#define	khFGColorMenu		8		

#define	khBKColorMenuID		109		
#define	khBKColorMenu		9		

#define	khOPColorMenuID		110		
#define	khOPColorMenu		10		

#define	khHiliteMenuID		111		
#define	khHiliteMenu		11		

#define	kSrcCopy			1				/*  CopyMode menu constants  */
#define	kSrcOr				2
#define	kSrcXor				3
#define	kSrcBic				4
#define	kNotSrcCopy			5
#define	kNotSrcOr 			6
#define	kNotSrcXor 			7
#define	kNotSrcBic 			8
#define	kBlend				10
#define	kAddPin				11
#define	kAddOver			12
#define	kAddMin				13
#define	kAddMax				14
#define	kSubPin				15
#define	kSubOver			16
#define	kTransparent		18
#define	kHilite				19

#define	kBlack				1				/*  Color Constants  */
#define	kWhite				2
#define	kRed				3
#define	kGreen				4
#define	kBlue				5
#define	kCyan 				6
#define	kMagenta 			7
#define	kYellow 			8
#define	kGray				9
#define	kCustomColor		11


// Global Constants

#define	kNoRgn				1				/*  Clip Constants  */
#define	kDiamondClip		2
#define	kOvalClip			3
#define	kStarClip			4
#define	kHoleClip			5


#define ditherCopy			64